Name:           conspire
Version:        1.0.0
Release:        1%{?dist}
Summary:        A easy to use Graphical IRC Client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://confluence.atheme.org/display/CON
Source0:        http://distfiles.atheme.org/conspire-1.0.0.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libsexy-devel
BuildRequires: libnotify-devel
BuildRequires: libmowgli-devel
BuildRequires: gnutls-devel
BuildRequires: python-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
Conspire is an IRC client for Unix-like systems. It originated as a fork of X-Chat
2.8 CVS. Conspire has several interfaces, referred to as "frontends", 
currently including a Gtk+ 2 frontend and a "bot" frontend. It boasts a high level
of customisability, and allows channels to be viewed in either a tab or tree mode,
much like its parent program X-Chat. It also has support for 24-bit colour and 
italicised text due to the new XText system based on the Cairo graphics library

%package devel
Summary: Development tools for Conspire
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
libraries and header files for Conspire. 

%prep
%setup -q


%build
%configure --disable-rpath --enable-gnutls
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Don't ship static lib
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications conspire.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING INSTALL NEWS TODO
/conspire/plugins/python.so
%{_bindir}/conspire
%{_bindir}/conspire-bot
%{_libdir}/conspire
%{_datadir}/conspire
%{_mandir}/man1/conspire*
%{_datadir}/pixmaps/conspire.png
%{_datadir}/applications/conspire.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/conspire
%{_libdir}/pkgconfig/conspire.pc

%changelog
* Sun Jan 31 2010 Kevin Fenzi <kevin@tummy.com> - 1.0.0-1
- Initial version for Fedora. 
